Bug 1311805 - [DOCS] [xPaaS] Document the Red Hat SSO xPaaS Image
[DOCS] [xPaaS] Document the Red Hat SSO xPaaS Image
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Andrew Burden
Bilhar
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-24 22:17 EST by Vikram Goyal
Modified: 2016-03-22 22:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-22 22:31:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vikram Goyal 2016-02-24 22:17:04 EST
Red Hat SSO (KeyCloak) [1] is an integrated SSO and IDM for browser apps and RESTful web services. Red Hat is releasing an OpenShift image for this technology as a tech preview.

The purpose of this bug is to:
* Document how an end user on OpenShift can get access to this image
* Provide details on how to install this image
* What are the differences between this image and the full product.
* Any other use cases and reference material that might be relevant.

Please use the OpenShift docs workflow to manage the work for this and use Bilhar Aulakh as the peer review. Osni Oliveira will be the QE (I can't seem to add him via BugZilla though).

Please make a note to let the readers know that this image is offered a tech preview [2].

[1] http://keycloak.jboss.org/
[2] https://access.redhat.com/support/offerings/techpreview
Comment 1 Andrew Burden 2016-03-21 02:27:04 EDT
A new topic has been written for the SSO xPaaS Tech Preview and are currently under technical and peer reviews. The github pull request can be viewed here:
https://github.com/openshift/openshift-docs/pull/1773

This new topic has the following structure:
== Overview
== Differences Between the SSO xPaaS Application and Keycloak
== Versioning for xPaaS Images
== Prerequisites for Deploying the Red Hat Single Sign-On xPaaS Image
== Using the Red Hat Single Sign-On Image Streams and Application Templates
== Preparing and Deploying the Red Hat Single Sign-On xPaaS Application Templates
=== Using the OpenShift CLI
=== Using the OpenShift Web Console
=== Deployment Process
== Quickstart Example: Using the Red Hat Single Sign-On xPaaS Image with the SSO-enabled JBoss EAP xPaaS Image
=== Deploy the SSO Application Template
=== Create SSO Credentials
=== Deploy the SSO-enabled JBoss EAP Image
=== Log in to the JBoss EAP Server Using SSO
== Known Issues

This covers the basics of deploying SSO in OpenShift, including using the CLI or the web console, and a brief on the deployment process; a quickstart example to show basic workflow in setting up SSO and SSO-enabled EAP; and the Known Issues users should be aware of when using the Tech Preview.
Comment 2 Andrew Burden 2016-03-22 03:09:57 EDT
This content has been updated after feedback from tech review and peer review and has been merged into master.
Comment 3 Andrew Burden 2016-03-22 22:31:11 EDT
This content has been published and is available in the OpenShift 3.1 docs:
https://docs.openshift.com/enterprise/3.1/using_images/xpaas_images/sso.html

Note You need to log in before you can comment on or make changes to this bug.